Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configurator
Interface IPlatformConfiguration.IFeatureEntry

Enclosing interface:
  IPlatformConfiguration

public static interface IPlatformConfiguration.IFeatureEntry

Feature entry. Represents runtime "hints" about configured features. The information is used during execution to locate the correct attribution information for a feature. Note, that a typical configuration can declare multiple feature entries. At execution time, only one can be selected as the active primary feature. This is determined based on specified command line arguments or computed defaults.

Since:
  2.0

Method Summary
`boolean` | `canBePrimary()` Returns an indication whether this feature has been defined to act as a primary feature.
`String` | `getFeatureApplication()` Returns the application to run when this feature is the primary feature.
`String` | `getFeatureIdentifier()` Returns feature identifier.
`String` | `getFeaturePluginIdentifier()` Returns the identifier of the feature plug-in for this feature entry.
`String` | `getFeaturePluginVersion()` Returns the version of the feature plug-in for this feature entry.
`URL[]` | `getFeatureRootURLs()` Returns URLs to the feature "root" locations.
`String` | `getFeatureVersion()` Returns the currently configured version for the feature.

Method Detail

### getFeatureIdentifier

    public String getFeatureIdentifier()

  Returns feature identifier.

  Returns:
    feature identifier
  Since:
    2.0

### getFeatureVersion

    public String getFeatureVersion()

  Returns the currently configured version for the feature.

  Returns:
    feature version (as string), or `null`
  Since:
    2.0

### getFeaturePluginIdentifier

    public String getFeaturePluginIdentifier()

  Returns the identifier of the feature plug-in for this feature entry. Note, that there is no guarantee that a feature in fact supplies a corresponding feature plugin, so the result can be `null`. Also, if supplied, there is no guarantee that the plugin will in fact be loaded into the plug-in registry at runtime (due to rules and constraint checking performed by the registry loading support). Consequently code making use of this method must handle these conditions.

  Returns:
    feature identifier (as string), or `null`
  Since:
    2.1

### getFeaturePluginVersion

    public String getFeaturePluginVersion()

  Returns the version of the feature plug-in for this feature entry. Note, that there is no guarantee that a feature in fact supplies a corresponding feature plugin, so the result can be `null`. Also, if supplied, there is no guarantee that the plugin will in fact be loaded into the plug-in registry at runtime (due to rules and constraint checking performed by the registry loading support). Consequently code making use of this method must handle these conditions.

  Returns:
    feature version (as string), or `null`
  Since:
    2.0

### getFeatureApplication

    public String getFeatureApplication()

  Returns the application to run when this feature is the primary feature.

  Returns:
    application identifier, or `null`
  Since:
    2.0

### getFeatureRootURLs

    public URL[] getFeatureRootURLs()

  Returns URLs to the feature "root" locations. The root URLs are install locations of the feature plugin and its fragments.

  Returns:
    array of URLs, or an empty array
  Since:
    2.0

### canBePrimary

    public boolean canBePrimary()

  Returns an indication whether this feature has been defined to act as a primary feature.

  Returns:
    `true` if the feature can be primary, `false` otherwise.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.